-- Automatically charge/discharge repair modules.
--
-- Repair modules must be bound to the primary group.
--
-- For best results:
--
-- 1. /bind R autorep
-- 2. aim at damaged ship
-- 3. Press 'R'
-- 4. Wait until ship it repaired or you're all out of ammo.
-- 5. Press 'R' again
--
-- Continue with your day.

declare("autorep", {})
autorep.enabled = false

function autorep.toggle()
	if autorep.enabled then
		HUD:PrintSecondaryMsg("Stopping autorep")
		autorep.enabled = false
	else
		HUD:PrintSecondaryMsg("Starting autorep")
		autorep.enabled = true
		autorep.pew()
	end
end

RegisterUserCommand("autorep", autorep.toggle)

function autorep.pew()
	if autorep.enabled then
		gkinterface.GKProcessCommand("+Shoot1")
		Timer():SetTimeout(2500, function()
			autorep.unpew()
		end)
	end
end

function autorep.unpew()
	gkinterface.GKProcessCommand("+Shoot1 0")
	if autorep.enabled then
		Timer():SetTimeout(2500, function()
			autorep.pew()
		end)
	end
end
